Package edu.msu.cme.rdp.classifier

## Class RankAssignment

- java.lang.Object
- - edu.msu.cme.rdp.classifier.RankAssignment

    public class RankAssignment
    extends java.lang.Object

A RankAssignment holds the classification result of a sequence at one rank level.

### Constructor Summary

Constructors
`RankAssignment​(HierarchyTree t, float c)` Creates new RankAssignment.

### Method Summary

All Methods Instance Methods Concrete Methods
`HierarchyTree` `getBestClass()` Returns the HierarchyTree which the query sequence is assigned to.
`float` `getConfidence()` Returns the estimate of confidence of the assignment.
`java.lang.String` `getName()` Returns the name of the assigned HierarchyTree.
`java.lang.String` `getRank()` Returns the rank of the assigned HiearchyTree.
`int` `getTaxid()` Returns the taxid of the assigned HierachyTree

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RankAssignment

    public RankAssignment​(HierarchyTree t,
                          float c)

Creates new RankAssignment.

### Method Detail

#### getConfidence

    public float getConfidence()

Returns the estimate of confidence of the assignment. The number of times a taxon was selected out of the total number of bootstrap trials was used as an estimate of confidence in the assignment to that treenode.

#### getBestClass

    public HierarchyTree getBestClass()

Returns the HierarchyTree which the query sequence is assigned to.

#### getName

    public java.lang.String getName()

Returns the name of the assigned HierarchyTree.

#### getRank

    public java.lang.String getRank()

Returns the rank of the assigned HiearchyTree.

#### getTaxid

    public int getTaxid()

Returns the taxid of the assigned HierachyTree